#ifndef PIPECMD_H
#define PIPECMD_H

#include <afblib/pconnect.h>
#include <afblib/strlist.h>

typedef struct pipecmd {
   char* cmdname;
   strlist* argv;
   struct pipecmd* input;
   pipe_end pipe;
} pipecmd;

/* construct pipeline chain out of tokens */
pipecmd* pipe_constructor(strlist* tokens);

/* free space allocated by pipe_constructor() */
void pipe_free(pipecmd* cmd);

#endif
